BSON_COPY_TO_EXCLUDING(3)

WARNING:
        Deprecated since version 1.1.0: Use bson_copy_to_excluding_noinit() instead.

SYNOPSIS

            void
            bson_copy_to_excluding (const bson_t *src,
                                    bson_t *dst,
                                    const char *first_exclude,
                                    ...);

PARAMETERS

    •   src: A bson_t.

    •   dst: A bson_t.

    •   first_exclude: The first field name to exclude.

DESCRIPTION

The bson_copy_to_excluding() function shall copy all fields from src to dst except those specified by the variadic, NULL terminated list of keys starting from first_exclude.

WARNING:
        bson_init() is called on dst.

AUTHOR
MongoDB, Inc

COPYRIGHT
2009-present, MongoDB, Inc.